OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_GeneralProperty Class Reference

Representation of STEP entity GeneralProperty
.

`#include <StepBasic_GeneralProperty.hxx>`

Inheritance diagram for StepBasic_GeneralProperty:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_GeneralProperty ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
| Returns field Id .
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&Id)
| Set field Id .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theId
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_GeneralProperty::StepBasic_GeneralProperty | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_GeneralProperty::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_GeneralProperty::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_ExternallyDefinedGeneralProperty.

Standard_EXPORT Standard_Boolean StepBasic_GeneralProperty::HasDescription | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_GeneralProperty::Id | ( |  | ) | const

Standard_EXPORT void StepBasic_GeneralProperty::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_GeneralProperty::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_GeneralProperty::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_GeneralProperty::SetId | ( | const Handle(TCollection_HAsciiString)& | Id | ) |

Standard_EXPORT void StepBasic_GeneralProperty::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepBasic_GeneralProperty::defDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_GeneralProperty::theDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_GeneralProperty::theId`[private]`

Handle_TCollection_HAsciiString StepBasic_GeneralProperty::theName`[private]`

The documentation for this class was generated from the following file:

- StepBasic_GeneralProperty.hxx